[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# AnsiProperCase

Pretty-Print a string: make lowercase and capitalize first letters of words

## Declaration

Source position: strutils.pp line 198

`function AnsiProperCase(`
`const S: string;`
`const WordDelims: TSysCharSet`
`):string;`

## Arguments

`S` |  | String to pretty-print
`WordDelims` |  | Characters to use as word delimiters

## Function result

Resulting lowercase string with first letters capitalized

## Description

AnsiProperCase converts S to an all lowercase string, but capitalizes the first letter of every word in the string, and returns the resulting string. When searching for words, the characters in WordDelimiters are used to determine the boundaries of words. The constant StdWordDelims can be used for this.